# PreorderNameOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Preorder name options

param

  the fully qualified name to preorder including the namespace (myName.id)

param

  salt used to generate the preorder name hash

param

  amount of STX to burn for the registration

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- PreorderNameOptions

## Index

### Properties

- fullyQualifiedName
- network
- publicKey
- salt
- stxToBurn

## Properties

### fullyQualifiedName

fullyQualifiedName: string

- Defined in packages/bns/src/index.ts:488

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:492

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:491

### salt

salt: string

- Defined in packages/bns/src/index.ts:489

### stxToBurn

stxToBurn: BN

- Defined in packages/bns/src/index.ts:490

Generated using TypeDoc